Package: src:ruby-text-table
Version: 1.2.4-1
Severity: serious

Dear maintainer:

I tried to build this package in stretch with "dpkg-buildpackage -A"
(which is what the "Arch: all" autobuilder would do to build it)
but it failed:

 debian/rules build-indep
dh build-indep --buildsystem=ruby --with ruby
   dh_testdir -i -O--buildsystem=ruby
   dh_update_autotools_config -i -O--buildsystem=ruby
   dh_auto_configure -i -O--buildsystem=ruby
        dh_ruby --configure
   dh_auto_build -i -O--buildsystem=ruby
        dh_ruby --build
   dh_ruby --build
   dh_auto_test -i -O--buildsystem=ruby
        dh_ruby --test
 fakeroot debian/rules binary-indep
dh binary-indep --buildsystem=ruby --with ruby

[... snipped ...]

  1) Text::Table table-wide alignment of rows 
     # Not yet implemented
     # ./spec/integration/alignment_spec.rb:174

  2) Text::Table table-wide alignment of headers 
     # Not yet implemented
     # ./spec/integration/alignment_spec.rb:178

  3) Text::Table table-wide alignment of footers 
     # Not yet implemented
     # ./spec/integration/alignment_spec.rb:182

  4) Text::Table rows with unequal number of cells 
     # Not yet implemented
     # ./spec/integration/parts_spec.rb:27


  1) Text::Table::Cell should return correct column index
     Failure/Error: @table.text_table_rows.first.cells[2].column_index.should 
== 3

       expected: 3
            got: 2 (using ==)
     # ./spec/cell_spec.rb:20:in `block (2 levels) in <top (required)>'

Deprecation Warnings:

Requiring `rspec/autorun` when running RSpec via the `rspec` command is 
deprecated. Called from /<<PKGBUILDDIR>>/spec/spec_helper.rb:5:in `<top 

Using `should` from rspec-expectations' old `:should` syntax without explicitly 
enabling the syntax is deprecated. Use the new `:expect` syntax or explicitly 
enable `:should` with `config.expect_with(:rspec) { |c| c.syntax = :should }` 
instead. Called from /<<PKGBUILDDIR>>/spec/cell_spec.rb:10:in `block (2 levels) 
in <top (required)>'.

If you need more of the backtrace for any of these deprecations to
identify where to make the necessary changes, you can configure
`config.raise_errors_for_deprecations!`, and it will turn the
deprecation warnings into errors, giving you the full backtrace.

2 deprecation warnings total

Finished in 0.05929 seconds (files took 0.12143 seconds to load)
47 examples, 1 failure, 4 pending

Failed examples:

rspec ./spec/cell_spec.rb:17 # Text::Table::Cell should return correct column 

/usr/bin/ruby2.3 /usr/bin/rspec ./spec/cell_spec.rb ./spec/enumerable_spec.rb 
./spec/integration/alignment_spec.rb ./spec/integration/boundaries_spec.rb 
./spec/integration/column_spans_spec.rb ./spec/integration/parts_spec.rb failed
ERROR: Test "ruby2.3" failed. Exiting.
dh_auto_install: dh_ruby --install /<<PKGBUILDDIR>>/debian/ruby-text-table 
returned exit code 1
debian/rules:15: recipe for target 'binary-indep' failed
make: *** [binary-indep] Error 1
dpkg-buildpackage: error: fakeroot debian/rules binary-indep gave error exit 
status 2

The relevant part of the build log is included above.

If this is really a bug in one of the build-depends, please use reassign and 
so that this is still visible in the page for this package.


Pkg-ruby-extras-maintainers mailing list

Reply via email to